{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.laptop {

  # Gestion spécifique pour PC portable

  ## Gestion de l'énergie
  powerManagement.cpuFreqGovernor = "powersave";

  ## Activation d'un gestionnaire de réseau
  networking.networkmanager.enable = true;

  hardware.bluetooth.enable = true;

  # Paquets
  environment.systemPackages = with pkgs; [
    networkmanagerapplet    # gestionnaire réseau graphique + console (nm-applet + nmtui)
    wirelesstools           # fournis iwconfig
  ];
}
